{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZBOOK",
    "mOSFilePath" : "pslanguageres/Auto395",
    "rTMOSFilePath" : "pslanguageres/Auto395"
  },
  "caption" : "测试界面逻辑",
  "codeName" : "IBIZBOOKTestLogicCustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKTestLogicCustomView.json",
  "mOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKTestLogicCustomView",
  "name" : "IBIZBOOKTestLogicCustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Sample.json"
  },
  "getPSAppViewLogics" : [ {
    "eventNames" : "onViewMounted;onViewDestroyed",
    "logicTrigger" : "VIEWEVENT",
    "logicType" : "DEUILOGIC",
    "name" : "VIEWLOAD",
    "getPSAppDEUILogic" : {
      "modelref" : true,
      "id" : "FormLoad"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "Main",
    "controlType" : "FORM",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSFORMS/Main.json",
    "getGetDraftFromPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraftfrom"
    },
    "getGetDraftPSControlAction" : {
      "modelref" : true,
      "id" : "loaddraft"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "logicName" : "主编辑表单",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/psdeform_editforms/Main",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "编辑表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "FORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "srfupdatedate",
      "hidden" : true,
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "id" : "srforikey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfkey",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "id" : "srfmajortext",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "srftempmode",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfuf",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfdeid",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "srfsourcekey",
      "hidden" : true,
      "dataType" : 25
    }, {
      "id" : "ibizbookid",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      }
    }, {
      "id" : "ibizbookname",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      }
    }, {
      "id" : "author",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "AUTHOR",
        "codeName" : "Author"
      }
    }, {
      "id" : "press",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "PRESS",
        "codeName" : "Press"
      }
    }, {
      "id" : "price",
      "dataType" : 7,
      "getPSAppDEField" : {
        "name" : "PRICE",
        "codeName" : "Price"
      }
    }, {
      "id" : "type",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "id" : "booknumber",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "BOOKNUMBER",
        "codeName" : "Booknumber"
      }
    }, {
      "id" : "sailstate",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "SAILSTATE",
        "codeName" : "Sailstate"
      }
    }, {
      "id" : "lendouttime",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "LENDOUTTIME",
        "codeName" : "Lendouttime"
      }
    }, {
      "id" : "returntime",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "RETURNTIME",
        "codeName" : "Returntime"
      }
    }, {
      "id" : "tag",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "TAG",
        "codeName" : "Tag"
      }
    }, {
      "id" : "tag1",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "TAG",
        "codeName" : "Tag"
      }
    }, {
      "id" : "icon",
      "dataType" : 21,
      "getPSAppDEField" : {
        "name" : "ICON",
        "codeName" : "Icon"
      }
    }, {
      "id" : "subtext",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "SUBTEXT",
        "codeName" : "Subtext"
      }
    }, {
      "id" : "createman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "CREATEMAN",
        "codeName" : "CreateMan"
      }
    }, {
      "id" : "createdate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "id" : "updateman",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "id" : "updatedate",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.FORMPAGE.FORMPAGE1",
        "mOSFilePath" : "pslanguageres/Auto1918",
        "rTMOSFilePath" : "pslanguageres/Auto1918"
      },
      "caption" : "基本信息",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage1",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.GROUPPANEL.GROUP1",
          "mOSFilePath" : "pslanguageres/Auto1843",
          "rTMOSFilePath" : "pslanguageres/Auto1843"
        },
        "caption" : "图书基本信息",
        "codeName" : "group1",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/group1",
        "name" : "group1",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZBOOKID",
            "mOSFilePath" : "pslanguageres/Auto1841",
            "rTMOSFilePath" : "pslanguageres/Auto1841"
          },
          "caption" : "图书标识",
          "codeName" : "ibizbookid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ibizbookid",
          "name" : "ibizbookid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZBOOKID",
            "codeName" : "IBIZBOOKId"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "ibizbookid"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookid",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.IBIZBOOKNAME",
            "mOSFilePath" : "pslanguageres/Auto1983",
            "rTMOSFilePath" : "pslanguageres/Auto1983"
          },
          "caption" : "图书名称",
          "codeName" : "ibizbookname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/ibizbookname",
          "name" : "ibizbookname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "IBIZBOOKNAME",
            "codeName" : "IBIZBOOKName"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "ibizbookname"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/ibizbookname",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.AUTHOR",
            "mOSFilePath" : "pslanguageres/Auto2038",
            "rTMOSFilePath" : "pslanguageres/Auto2038"
          },
          "caption" : "图书作者",
          "codeName" : "author",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/author",
          "name" : "author",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "AUTHOR",
            "codeName" : "Author"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "author"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/author",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.PRESS",
            "mOSFilePath" : "pslanguageres/Auto1827",
            "rTMOSFilePath" : "pslanguageres/Auto1827"
          },
          "caption" : "图书出版社",
          "codeName" : "press",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/press",
          "name" : "press",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "PRESS",
            "codeName" : "Press"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 100,
            "name" : "press"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/press",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.PRICE",
            "mOSFilePath" : "pslanguageres/Auto1925",
            "rTMOSFilePath" : "pslanguageres/Auto1925"
          },
          "caption" : "图书价格",
          "codeName" : "price",
          "dataType" : 7,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/price",
          "name" : "price",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "PRICE",
            "codeName" : "Price"
          },
          "getPSEditor" : {
            "editorType" : "NUMBER",
            "name" : "price",
            "precision" : 2
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/price",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.TYPE",
            "mOSFilePath" : "pslanguageres/Auto2088",
            "rTMOSFilePath" : "pslanguageres/Auto2088"
          },
          "caption" : "图书类型",
          "codeName" : "type",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/type",
          "name" : "type",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TYPE",
            "codeName" : "Type"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "type",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookType.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/type",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.BOOKNUMBER",
            "mOSFilePath" : "pslanguageres/Auto2067",
            "rTMOSFilePath" : "pslanguageres/Auto2067"
          },
          "caption" : "图书数量",
          "codeName" : "booknumber",
          "dataType" : 9,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/booknumber",
          "name" : "booknumber",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "BOOKNUMBER",
            "codeName" : "Booknumber"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "booknumber"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/booknumber",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.SAILSTATE",
            "mOSFilePath" : "pslanguageres/Auto1848",
            "rTMOSFilePath" : "pslanguageres/Auto1848"
          },
          "caption" : "图书销售状态",
          "codeName" : "sailstate",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/sailstate",
          "name" : "sailstate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "SAILSTATE",
            "codeName" : "Sailstate"
          },
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "sailstate",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/BookSailState.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/sailstate",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.LENDOUTTIME",
            "mOSFilePath" : "pslanguageres/Auto2028",
            "rTMOSFilePath" : "pslanguageres/Auto2028"
          },
          "caption" : "借出日期",
          "codeName" : "lendouttime",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 230.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/lendouttime",
          "name" : "lendouttime",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "LENDOUTTIME",
            "codeName" : "Lendouttime"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "lendouttime"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/lendouttime",
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.RETURNTIME",
            "mOSFilePath" : "pslanguageres/Auto1979",
            "rTMOSFilePath" : "pslanguageres/Auto1979"
          },
          "caption" : "归还日期",
          "codeName" : "returntime",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemWidth" : 230.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/returntime",
          "name" : "returntime",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "RETURNTIME",
            "codeName" : "Returntime"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "editorWidth" : 100.0,
            "name" : "returntime"
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/returntime",
          "valueFormat" : "YYYY-MM-DD",
          "allowEmpty" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.TAG",
            "mOSFilePath" : "pslanguageres/Auto2141",
            "rTMOSFilePath" : "pslanguageres/Auto2141"
          },
          "caption" : "标签",
          "codeName" : "tag",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/tag",
          "name" : "tag",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TAG",
            "codeName" : "Tag"
          },
          "getPSEditor" : {
            "editorType" : "MDROPDOWNLIST",
            "name" : "tag",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Booktag.json"
            },
            "singleSelect" : false
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colMD" : 8,
            "colSM" : 8,
            "colXS" : 8,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/tag",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.TAG",
            "mOSFilePath" : "pslanguageres/Auto2141",
            "rTMOSFilePath" : "pslanguageres/Auto2141"
          },
          "caption" : "标签",
          "codeName" : "tag1",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/tag1",
          "name" : "tag1",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TAG",
            "codeName" : "Tag"
          },
          "getPSEditor" : {
            "editorType" : "CHECKBOXLIST",
            "name" : "tag1",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Booktag.json"
            }
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/tag1",
          "allowEmpty" : true,
          "needCodeListConfig" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.FORMITEM.ICON",
            "mOSFilePath" : "pslanguageres/Auto1894",
            "rTMOSFilePath" : "pslanguageres/Auto1894"
          },
          "caption" : "图书封面",
          "codeName" : "icon",
          "dataType" : 21,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 200.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/icon",
          "name" : "icon",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "ICON",
            "codeName" : "Icon"
          },
          "getPSEditor" : {
            "editorHeight" : 200.0,
            "editorParams" : {
              "HEIGHT" : "200"
            },
            "editorType" : "TEXTAREA_10",
            "maxLength" : 1048576,
            "name" : "icon",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 8,
            "colLGOffset" : 1,
            "colMD" : 8,
            "colMDOffset" : 1,
            "colSM" : 8,
            "colSMOffset" : 1,
            "colXS" : 8,
            "colXSOffset" : 1,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/icon",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.SUBTEXT",
            "mOSFilePath" : "pslanguageres/Auto2119",
            "rTMOSFilePath" : "pslanguageres/Auto2119"
          },
          "caption" : "图书描述",
          "codeName" : "subtext",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "itemHeight" : 200.0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/subtext",
          "name" : "subtext",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "SUBTEXT",
            "codeName" : "Subtext"
          },
          "getPSEditor" : {
            "editorHeight" : 200.0,
            "editorParams" : {
              "HEIGHT" : "200"
            },
            "editorType" : "TEXTAREA_10",
            "maxLength" : 100,
            "name" : "subtext",
            "showMaxLength" : true
          },
          "getPSLayoutPos" : {
            "colLG" : 15,
            "colMD" : 15,
            "colSM" : 15,
            "colXS" : 15,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/subtext",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
      "infoGroupMode" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.FORMPAGE.FORMPAGE2",
        "mOSFilePath" : "pslanguageres/Auto1830",
        "rTMOSFilePath" : "pslanguageres/Auto1830"
      },
      "caption" : "其它",
      "codeName" : "formpage2",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "mOSFilePath" : "psdeformdetail_formpages/formpage2",
      "name" : "formpage2",
      "getPSDEFormDetails" : [ {
        "actionGroupExtractMode" : "ITEM",
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZBOOK.MAIN.GROUPPANEL.GROUP2",
          "mOSFilePath" : "pslanguageres/Auto1399",
          "rTMOSFilePath" : "pslanguageres/Auto1399"
        },
        "caption" : "操作信息",
        "codeName" : "group2",
        "detailStyle" : "DEFAULT",
        "detailType" : "GROUPPANEL",
        "mOSFilePath" : "psdeformdetail_grouppanels/group2",
        "name" : "group2",
        "getPSDEFormDetails" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CREATEMAN",
            "mOSFilePath" : "pslanguageres/Auto859",
            "rTMOSFilePath" : "pslanguageres/Auto859"
          },
          "caption" : "建立人",
          "codeName" : "createman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/createman",
          "name" : "createman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/createman",
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.CREATEDATE",
            "mOSFilePath" : "pslanguageres/Auto964",
            "rTMOSFilePath" : "pslanguageres/Auto964"
          },
          "caption" : "建立时间",
          "codeName" : "createdate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/createdate",
          "name" : "createdate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createdate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/createdate",
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEMAN",
            "mOSFilePath" : "pslanguageres/Auto202",
            "rTMOSFilePath" : "pslanguageres/Auto202"
          },
          "caption" : "更新人",
          "codeName" : "updateman",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/updateman",
          "name" : "updateman",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEMAN",
            "codeName" : "UpdateMan"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updateman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/updateman",
          "allowEmpty" : true,
          "convertToCodeItemText" : true,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.UPDATEDATE",
            "mOSFilePath" : "pslanguageres/Auto1074",
            "rTMOSFilePath" : "pslanguageres/Auto1074"
          },
          "caption" : "更新时间",
          "codeName" : "updatedate",
          "dataType" : 5,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "mOSFilePath" : "psdeformdetail_formitems/updatedate",
          "name" : "updatedate",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "updatedate",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formitems/updatedate",
          "valueFormat" : "YYYY-MM-DD HH:mm:ss",
          "allowEmpty" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_grouppanels/group2",
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_formpages/formpage2",
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKTestLogicCustomView/psappviewctrls/form",
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "tabHeaderPos" : "TOP",
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "noTabHeader" : false,
    "name" : "form",
    "modelid" : "6cd11a010cbbb4d2bad5e1aad7e8020a",
    "modeltype" : "PSDEFORM_EDITFORM"
  } ],
  "getPSDEViewCodeName" : "TestLogicCustomView",
  "getPSDEViewId" : "9D2D98F0-27BF-4A0D-B54E-7D20FEC28E69",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Usr1108193002",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "测试界面逻辑布局面板",
    "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZBOOK/pssysviewlayoutpanels/Usr1108193002",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKTestLogicCustomView/psappviewctrls/layoutpanel",
    "getRootPSPanelItems" : [ {
      "caption" : "滚动条容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container_scroll1",
      "getPSLayout" : {
        "layout" : "BORDER"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "面板容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_main1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "layout" : "BORDER",
          "layoutPos" : "CENTER"
        },
        "getPSPanelItems" : [ {
          "caption" : "表单",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "form",
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "showCaption" : true
        } ],
        "showCaption" : true
      }, {
        "caption" : "面板容器",
        "contentHeight" : 80.0,
        "height" : 80.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_scroll_header1",
        "getPSLayout" : {
          "layout" : "BORDER"
        },
        "getPSLayoutPos" : {
          "height" : 80,
          "heightMode" : "PX",
          "layout" : "BORDER",
          "layoutPos" : "NORTH"
        },
        "getPSPanelItems" : [ {
          "caption" : "栅格容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_grid1",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "layout" : "BORDER",
            "layoutPos" : "CENTER"
          },
          "getPSPanelItems" : [ {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container1",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 3,
              "layout" : "SIMPLEFLEX"
            },
            "getPSPanelItems" : [ {
              "caption" : "页面标题",
              "itemStyle" : "DEFAULT",
              "itemType" : "FIELD",
              "name" : "view_pagecaption",
              "getPSEditor" : {
                "editorType" : "SPAN",
                "name" : "view_pagecaption",
                "predefinedType" : "VIEW_PAGECAPTION",
                "renderMode" : "HEADING1",
                "enableLinkView" : false
              },
              "getPSLayoutPos" : {
                "grow" : -1,
                "layout" : "SIMPLEFLEX"
              },
              "hidden" : false,
              "showCaption" : false
            } ]
          }, {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container2",
            "getPSLayout" : {
              "layout" : "SIMPLEFLEX"
            },
            "getPSLayoutPos" : {
              "grow" : 9,
              "layout" : "SIMPLEFLEX"
            }
          } ]
        } ],
        "showCaption" : true
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "001C1C21-E7C3-4DB5-863F-60D87E92F903",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZBOOKTestLogicCustomView",
  "title" : "测试界面逻辑",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "E74D4E6C-CFF5-4CBA-8195-FD943B3B910F",
  "modeltype" : "PSAPPDEVIEW"
}